## Apache Zeta Components Manual :: Docs For Class ezcGraphChartElementBackground

### Graph::ezcGraphChartElementBackground

### Class ezcGraphChartElementBackground

Chart element representing the background.

Chart elements can be understood as widgets or layout container inside the chart. The actual transformation to images happens inside the renderers. They represent all elements inside the chart and contain mostly general formatting options, while the renderer itself might define additional formatting options for some chart elments. You can find more about the general formatting options for chart elements in the base class ezcGraphChartElement.

Additionally to common background and border for chart elements it can draw an image on the chart background, and optionally repeat it. The position will be used to define the start of the repetition.

The repetition effects are modelled similar to the background settings in CSS. The example shows some common settings:

1. $chart=new ezcGraphPieChart ();
2. $chart->data['example']=new ezcGraphArrayDataSet (array(
3. 'Foo'=>23,
4. 'Bar'=>42,
5. ) );
7. $chart->background->image='background.png';
9. // Image would be repeated horizontal at the top of the background
10. $chart->background->repeat=ezcGraph ::HORIZONTAL;
11. $chart->background->postion=ezcGraph ::TOP;
13. // Image would be placed once in the center
14. $chart->background->repeat=ezcGraph ::NO_REPEAT;// default;
15. $chart->background->position=ezcGraph ::CENTER|ezcGraph ::MIDDLE;
17. // Image would be repeated all over the chart, the position is irrelevant
18. $chart->background->repeat=ezcGraph ::HORIZONTAL|ezcGraph ::VERTICAL;
20. $graph-> render (400,250,'legend.svg');

Source for this file: /Graph/src/element/background.php

    ezcBaseOptions
       |
       --ezcGraphChartElement
          |
          --ezcGraphChartElementBackground

Version: | //autogentag//

### Properties

string | read/write | `$image` Filename of the file to use for background
int | read/write | `$repeat` Defines how the background image gets repeated

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcGraphBoundings | `render( $renderer , $boundings )` Render the background
public void | `setFromPalette( $palette )` Set colors and border for this element

### Inherited Methods

From ezcGraphChartElement
protected ezcGraphBoundings | `ezcGraphChartElement::getTitleSize()` Returns calculated boundings based on available percentual space of given bounding box specified in the elements options and direction of the box.
public abstract ezcGraphBoundings | `ezcGraphChartElement::render()` Renders this chart element
public void | `ezcGraphChartElement::setFromPalette()` Set colors and border fro this element
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### render

ezcGraphBoundings render( ezcGraphRenderer $renderer , $boundings )

Render the background

##### Parameters:

Name | Type | Description
--- | --- | ---
`$renderer` | ezcGraphRenderer | Renderer
`$boundings` | ezcGraphBoundings | Boundings

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphChartElement::render()` | Renders this chart element

#### setFromPalette

void setFromPalette( ezcGraphPalette $palette )

Set colors and border for this element

Method is overwritten because we do not ant to apply the global padding and margin here.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$palette` | ezcGraphPalette | Palette

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphChartElement::setFromPalette()` | Set colors and border fro this element

Documentation generated by phpDocumentor 1.4.3